# gcf

Return handle of current graphic window.

## Calling Sequence

    h = gcf()

## Arguments

h

  handle.

## Description

This routine returns the handle of the current graphic window.

## Examples

    f=gcf(); // Create a figure
    f.figure_size= [610,469]/2;
    f.figure_name= "Foo";

    f=figure(); // Create a figure
    h=uicontrol(f,"style","listbox","position", [10 10 150 160]); // Create a listbox
    set(h, "string", "item 1|item 2|item3");// fill the list
    set(h, "value", [1 3]); // select item 1 and 3 in the list
    gcf()

    scf(0); // Make graphic window 0 the current figure
    gcf()  // Return the graphic handle of the current figure

    figure(f) // Make window f the current figure
    gcf() // Return the graphic handle of the current figure

## See Also

- gdf
- gca
- gce
- get
- scf
- set
- graphics_entities
- uicontrol